lar_ci - Feature #19097

Have a special name for the test suite in charge of generating reference files
02/22/2018 06:21 PM - Gianluca Petrillo

Status: Closed Start date: 02/22/2018
Priority: Low Due date:

Assignee: Vito Di Benedetto % Done: 100%
Category: Estimated time: 0.00 hour
Target version: vi_6_0 Spent time: 0.00 hour
Description

The test suite run when asking for regeneration of reference files is seq_test. <EXPERIMENT>, which is in fact a specific sequential
test.

| would like the name of that test suite to be either configurable or otherwise clearly stating its purpose.

For example, we may end up with two sequential tests, e.g. one for single muons and one for GENIE interactions, and
seq_test_sbndcode would have to be defined to include both.

While this is possible, it's less than straightforward.

History

#1 - 02/22/2018 06:31 PM - Vito Di Benedetto
- Status changed from New to Assigned

- Assignee set to Vito Di Benedetto

#2 - 03/13/2018 06:22 PM - Vito Di Benedetto
- Status changed from Assigned to Work in progress

- % Done changed from 0 to 60

Currently the Cl test suite to use to generate reference files is defined in the specific section of Cl workflow configuration used to define the workflow
used to update the reference files.

The better way that | see to allow the user to choose the appropriate Cl test suite to generate reference files, is to add an option to the trigger script to
choose the Cl test suite to update reference files. The option name is "--gen-ref-tests". Maybe a better name could be used.

Then the user needs to specify an appropriate Cl test suite to test the new reference files through the Cl tests phase. The existing option for this
purpose is "--ci-tests".

Those options are optional, as a default value can be set in the Cl workflow configuration.

#3 - 03/19/2018 03:56 PM - Vito Di Benedetto
- Status changed from Work in progress to Resolved
- Target version set tovi_6_0

- % Done changed from 60 to 100

Tests for this feature are successful. This feature is scheduled to be deployed with Clvi_6_0

#4 - 03/20/2018 08:03 PM - Vito Di Benedetto

- Status changed from Resolved to Closed
